Skip to content

API: Special Quiz Plays endpoints

Warning

These endpoints require special permissions.

/exam:results

GET /exam:results:raw

Get raw results for a specific exam.

[] Input:

  • [!] string exam: exam identification string

[] Output:

  • string exam: exam identification string
  • list users: details of the user and their results
  • hash questions: most important details about the questions asked

/exam:report

POST /exam:report (raw results)

For EduBase administrators with developer access, GET /exam:report also lists the results-raw report (json format only), a download link for the raw results. The policy of the application has to allow GET /exam:results:raw too. The report accepts filters, and the options below can only be used with it.

[] Input:

  • boolean include_question_data: include the details of the questions asked
    • default: false
  • string include_users: the examinees included
    • possible values: all / plays / best / worst
    • default: plays
  • integer include_users_limit: number of examinees included, at least 1
    • only for the best and worst examinees
    • default: 32